import { ComponentRef, OnChanges, OnDestroy, OnInit, SimpleChanges, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ComponentMapperComponent implements OnInit, OnDestroy, OnChanges {
    dynamicComponent: ViewContainerRef | undefined;
    componentRef: ComponentRef<any> | undefined;
    isInitialized: boolean;
    name: string;
    props: any;
    errorMsg: string;
    outputEvents: any;
    parent: any;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    loadComponent(): void;
    bindInputProps(): void;
    bindOutputEvents(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ComponentMapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ComponentMapperComponent, "component-mapper", never, { "name": { "alias": "name"; "required": false; }; "props": { "alias": "props"; "required": false; }; "errorMsg": { "alias": "errorMsg"; "required": false; }; "outputEvents": { "alias": "outputEvents"; "required": false; }; "parent": { "alias": "parent"; "required": false; }; }, {}, never, never, true, never>;
}
